> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve document editor data

> Returns the aggregated payload required to bootstrap the document editor for `documentId`.

Includes document settings, table references, referenced rows, blocks, and clause references in a single response.



## OpenAPI

````yaml get /document/initial-data/{documentId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/initial-data/{documentId}:
    get:
      tags:
        - Documents
      summary: Retrieve document editor data
      description: >-
        Returns the aggregated payload required to bootstrap the document editor
        for `documentId`.


        Includes document settings, table references, referenced rows, blocks,
        and clause references in a single response.
      operationId: getDocumentInitialData
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: documentId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data: {}
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````